---
import MoreMenu from '../RightSidebar/MoreMenu.astro';
import TableOfContents from '../RightSidebar/TableOfContents.tsx';

const { content, gitlabEditUrl } = Astro.props;
const title = content.title;
const headers = content.astro.headers;
---

<article id="article" class="content">
	<section class="main-section">
		<h1 class="content-title" id="overview">{title}</h1>
		<nav class="block sm:hidden">
			<TableOfContents client:media="(max-width: 50em)" {headers} />
		</nav>
		<slot />
	</section>
	<nav class="block sm:hidden">
		<MoreMenu editHref={gitlabEditUrl} />
	</nav>
</article>

<style>
	.content {
		padding: 0;
		max-width: 75ch;
		width: 100%;
		height: 100%;
		display: flex;
		flex-direction: column;
	}
	.content > section {
		margin-bottom: 4rem;
	}
	.block {
		display: block;
	}

	@media (min-width: 50em) {
		.sm\:hidden {
			display: none;
		}
	}
</style>
